Texa DeskDevelopers

Texa Desk Application API · Campaigns

Delete a campaign

DELETE/api/v1/accounts/{account_id}/campaigns/{id}

Delete a campaign from the account. Requires an account administrator and API access enabled for the account.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idintegerrequired

Account-scoped campaign ID returned by the campaign API.

Responses

200

Success

401

Authentication failed or the user is not an account administrator

403

API access is disabled for the account